Package com.microblink.blinkid.entities.recognizers.blinkid.imageoptions

# Interface SignatureImageOptions

All Known Implementing Classes:
  `BlinkIdMultiSideRecognizer`, `BlinkIdSingleSideRecognizer`

public interface SignatureImageOptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setReturnSignatureImage(boolean displaySignatureImage)`
  Sets whether signature image should be available in `SignatureImageResult`.
  `boolean`
  `shouldReturnSignatureImage()`
  Returns whether signature image will be available in `SignatureImageResult`.

- ## Field Details

  - ### CLASS_NAME

    @NonNull static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setReturnSignatureImage

    void setReturnSignatureImage(boolean displaySignatureImage)
    Sets whether signature image should be available in `SignatureImageResult`. If enabled, get image using `SignatureImageResult.getSignatureImage()` By default, this is set to 'false'. IMPORTANT NOTE: If you set `MicroblinkSDK.setIntentDataTransferMode(com.microblink.blinkid.intent.IntentDataTransferMode)` to `IntentDataTransferMode.STANDARD` recognizer which contains encoded image cannot be parcelized and passed by `Intent` extras because of Android limitations on intent extras size. If you are using one of the provided scan activities and expect receiving scan results in `Activity.onActivityResult(int, int, android.content.Intent)` method use either `IntentDataTransferMode.OPTIMISED` or `IntentDataTransferMode.PERSISTED_OPTIMISED`
    Parameters:
      `displaySignatureImage` - whether signature image will be available in `SignatureImageResult`.

  - ### shouldReturnSignatureImage

    boolean shouldReturnSignatureImage()
    Returns whether signature image will be available in `SignatureImageResult`. By default, this is set to 'false'.
    Returns:
      whether signature image will be available in `SignatureImageResult`.